<template>
	<!-- 多列联动列选择器 -->

	<u-select v-model="is_show" mode="mutil-column-auto" value-name="value_name" :list="list" @confirm="confirm"></u-select>
</template>

<script>
	export default {
		props: {
			list: {
				default () {
					return []
				}
			},
			/* 
				mode = single-column，为单列选择模式。
				mode = mutil-column，为多列选择模式。
				mode = muitl-column-auto，为多列联动模式，多列联动的数据格式为树装结构
			*/
			// model: {
			// 	default () {
			// 		return 'muitl-column-auto'

			// 	}
			// },
			title: {
				default () {
					return ''
				}
			},
			value_name: {
				default () {
					return 'value'
				}
			},
			label_name: {
				default () {
					return 'label'
				}
			}
		},
		data() {
			return {
				is_show: false,
			}
		},
		methods: {
			show() {
				this.is_show = true
				console.log(this.list)
			},
			hide() {
				this.is_show = false
			},
			confirm(e) {
				console.log(e)
				this.$emit('vacChange', e)
			}
		}
	}
</script>

<style>
</style>
